## ros-melodic-mav-comm 3.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mav_comm)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-mav-comm (3.3.2-0stretch) stretch; urgency=high

  * Fix indigo eigen3 compatibility.

 -- Rik Bähnemann <brik@ethz.ch>  Tue, 21 Aug 2018 22:00:00 -0000

ros-melodic-mav-comm (3.3.1-0stretch) stretch; urgency=high

  * Change maintainer.
  * Add dependencies, see planning_msgs changelog for details.

 -- Rik Bähnemann <brik@ethz.ch>  Mon, 20 Aug 2018 22:00:00 -0000

ros-melodic-mav-comm (3.3.0-0stretch) stretch; urgency=high

  * More utilities and lower level UAV kinematics, see mav_msgs changelog for details.
  * 2D polygon planning msgs, see planings_msgs changelog for details.

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Thu, 16 Aug 2018 22:00:00 -0000

ros-melodic-mav-comm (3.1.0-0stretch) stretch; urgency=high

  * More helper functions, see mav_msgs changelog for details.

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 30 Nov 2016 23:00:00 -0000

ros-melodic-mav-comm (3.0.0-0stretch) stretch; urgency=high

  * Changed API for mav_msgs, see mav_msgs changelog for details.

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Sat, 08 Aug 2015 22:00:00 -0000

ros-melodic-mav-comm (2.0.3-0stretch) stretch; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Thu, 21 May 2015 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-mav-comm
Section: misc
Priority: extra
Maintainer: Rik Bähnemann <brik@ethz.ch>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: https://github.com/ethz-asl/mav_comm
Standards-Version: 3.9.2

Package: ros-melodic-mav-comm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-mav-msgs, ros-melodic-mav-planning-msgs
Description: Contains messages and services for MAV communication

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mav-comm//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
